Name:           evas
Version:        1.7.7
Release:        1%{?dist}
Summary:        Hardware-accelerated state-aware canvas API

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2009-06-14/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eet-devel >= 1.0.1 libeina-devel
BuildRequires:  freetype-devel pth-devel libX11-devel libXext-devel
BuildRequires:  libXrender-devel fontconfig-devel libjpeg-devel libpng-devel
BuildRequires:  librsvg2-devel libtiff-devel giflib-devel
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel chrpath doxygen pkgconfig
BuildRequires:	fribidi-devel SDL-devel

%description
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects and much more.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig 
Requires:       libX11-devel fontconfig-devel eet-devel freetype-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static -enable-fb
make %{?_smp_mflags}
#sed -i -e 's/$projectname Documentation Generated: $datetime/$projectname Documentation/' doc/foot.html
#./gendoc


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*/*/*/*.so
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove unfinished manpages
#find doc/man/man3 -size -100c -delete
#rm -f doc/man/man3/todo.3 # remove todo
#install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
#install -p -m 644 doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/evas_cserve*
%{_libdir}/*.so.*
%{_libexecdir}/*
%{_libdir}/%{name}


%files devel
%defattr(-,root,root,-)
#%doc doc/html
#%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/%{name}


%changelog
* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.063-1
- version bump

* Thu Oct 08 2009 Vasile Chelban <vchelban@fedoramd.org> 0.9.9.062-2
- Require: fontconfig-devel

* Tue Jul 14 2009 Vasile Chelban <vchelban@fedoramd.org> 0.9.9.061-1
- include evas_cserve, evas_cserve_tool
- version bump

* Thu Mar 12 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.050-3
- renamed eina to libeina

* Mon Feb 16 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.050-2
- BuildRequires: eina-devel

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-1
- New upstream snapshot

* Fri Aug 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-2
- Fix unowned /usr/lib/evas

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-1
- New upstream snapshot
- Removed DirectFB backend, it's unmaintained upstream

* Fri May 02 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-3
- Fixed documentation for multilib

* Sat Apr 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-2
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Beautified summary
- Added html docs
- Added missing dependencies for evas-devel

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-1
- Initial specfile for Evas
